import {
  AutocompletePicklistItem
} from '../interface/autocomplete-item';

// TODO import data models: employee, contact, job title


/** Structure of data displayed on employee picklist. */
export interface EmployeePicklistItem
extends AutocompletePicklistItem {
  // TODO change types below to respective data models
  employee: any;
  contact: any;
  jobTitle: any;

  /** Get the employee number.
   * @returns Employee number.
   */
  getEmployeeNumber(): string;

  /** Get the employee's current employment status.
   * @returns Employment status.
   */
  getEmploymentStatus(): string;

  /** Get the employee's current job title.
   * @returns Job title.
   */
  getJobTitle(): string;
}
