import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { BrowserModule } from '@angular/platform-browser';
import {
  EmployeeTypeaheadPicklistComponent,
  GenericTypeaheadComponent
} from '../public_api';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import {
  MatAutocompleteModule,
  MatFormFieldModule,
  MatInputModule,
  MatOptionModule
} from '@angular/material';
import { NgModule } from '@angular/core';

// As of version 5.10.0, tslint cannot recognize decorators in
// association with this rule.
/* tslint:disable:completed-docs */

@NgModule({
  declarations: [
    EmployeeTypeaheadPicklistComponent,
    GenericTypeaheadComponent,
  ],
  exports: [],
  imports: [
      BrowserAnimationsModule,
      BrowserModule,
      FormsModule,
      MatAutocompleteModule,
      MatFormFieldModule,
      MatInputModule,
      MatOptionModule,
      ReactiveFormsModule,
  ],
})
export class PicklistModule { }
