import { AppComponent } from './app.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import {
  EmployeeTypeaheadPicklistComponent,
  GenericTypeaheadComponent
} from '../../projects/lib-ng-picklist/src/public_api';
import {
  MatAutocompleteModule,
  MatFormFieldModule,
  MatInputModule,
  MatOptionModule
} from '@angular/material';
import { NgModule } from '@angular/core';

// As of version 5.10.0, tslint cannot recognize decorators in
// association with this rule.
/* tslint:disable:completed-docs */

/* Main module for the wrapper application. */
@NgModule({
  bootstrap: [
    AppComponent,
  ],
  declarations: [
    AppComponent,
    EmployeeTypeaheadPicklistComponent,
    GenericTypeaheadComponent,
  ],
  imports: [
    BrowserAnimationsModule,
    BrowserModule,
    FormsModule,
    MatAutocompleteModule,
    MatFormFieldModule,
    MatInputModule,
    MatOptionModule,
    ReactiveFormsModule,
  ],
  providers: [],
})
export class AppModule { }

/* tslint:enable:completed-docs */
